<?php
/*
  Plugin Name: Tickera - Event title in purchased products table
  Plugin URI: http://tickera.com/
  Description: Adds the event title in the table of purchased products within WooCommerce emails
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Copyright 2020 Tickera (http://tickera.com/)
 */

add_action('woocommerce_order_item_meta_end', 'event_title_in_woo_email_content', 10, 4);

function event_title_in_woo_email_content($item_id, $item, $order = null, $plain_text = false) {

    $product_id = $item->get_product_id();
    $event_id = get_post_meta($product_id, '_event_name', true);
    $event_title = get_the_title($event_id);
    $event_date_time = get_post_meta($event_id, 'event_date_time', true);
    $event_date_formatted = date_i18n(get_option('date_format'), strtotime($event_date_time));
    $event_time_formatted = date_i18n(get_option('time_format'), strtotime($event_date_time));
    $product_is_ticket = get_post_meta($product_id, '_tc_is_ticket', true);

    if (isset($product_is_ticket) && $product_is_ticket == 'yes') {
        echo '<br/><p style="font-size: 0.8em">'.$event_title.'<br/>'.$event_date_formatted.'</p>';
    }
}